com.trendmicro.ds.platform.rest.object.util

## Class CounterElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.CounterElement

- Direct Known Subclasses:
    CounterApplicationTypeElement, CounterIntegrityRuleElement, CounterLogInspectionRuleElement, CounterMalwareDetectedElement, CounterPacketElement, CounterPayloadElement, CounterWebReputationUrlElement

      public abstract class CounterElement
      extends java.lang.Object

  Base class for all counters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `description`
    `protected long` | `extraValue`
    `protected java.lang.String` | `linkText`
    `protected float` | `percentOfTotal`
    `protected float` | `percentOfValue`
    `protected long` | `previousValue`
    `protected java.lang.String` | `text`
    `protected long` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `long` | `getExtraValue()`
    `java.lang.String` | `getLinkText()` Gets the link text or the text if a link text was not defined
    `float` | `getPercentOfTotal()` Gets the % of total or -1 if not set
    `float` | `getPercentOfValue()` Gets the % of value or -1 if not set
    `long` | `getPreviousValue()` Gets the previous value
    `java.lang.String` | `getText()` Gets the text
    `long` | `getValue()`
    `void` | `setDescription(java.lang.String d)`
    `void` | `setExtraValue(long v)`
    `void` | `setLinkText(java.lang.String linkText)` Sets a special link text for screenPath with [TEXT] in it
    `void` | `setPercentOfTotal(float percentOfTotal)` Sets the % of total
    `void` | `setPercentOfValue(float percentOfValue)` Sets the % of value
    `void` | `setPreviousValue(long previousValue)` Sets the previous value
    `void` | `setText(java.lang.String text)` Sets the text
    `void` | `setValue(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected long value

    - #### previousValue

          protected long previousValue

    - #### percentOfTotal

          protected float percentOfTotal

    - #### text

          protected java.lang.String text

    - #### linkText

          protected java.lang.String linkText

    - #### description

          protected java.lang.String description

    - #### extraValue

          protected long extraValue

    - #### percentOfValue

          protected float percentOfValue

  - ### Constructor Detail

    - #### CounterElement

          public CounterElement()

  - ### Method Detail

    - #### getValue

          public long getValue()

      Returns:
        Returns the current value.

    - #### setValue

          public void setValue(long value)

      Parameters:
        `value` - The current value to set.

    - #### getLinkText

          public java.lang.String getLinkText()

      Gets the link text or the text if a link text was not defined

    - #### setLinkText

          public void setLinkText(java.lang.String linkText)

      Sets a special link text for screenPath with [TEXT] in it
      Parameters:
        `linkText` -

    - #### getText

          public java.lang.String getText()

      Gets the text

    - #### setText

          public void setText(java.lang.String text)

      Sets the text
      Parameters:
        `text` -

    - #### getPreviousValue

          public long getPreviousValue()

      Gets the previous value

    - #### setPreviousValue

          public void setPreviousValue(long previousValue)

      Sets the previous value
      Parameters:
        `previousValue` -

    - #### getPercentOfTotal

          public float getPercentOfTotal()

      Gets the % of total or -1 if not set

    - #### setPercentOfTotal

          public void setPercentOfTotal(float percentOfTotal)

      Sets the % of total
      Parameters:
        `percentOfTotal` -

    - #### setDescription

          public void setDescription(java.lang.String d)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setExtraValue

          public void setExtraValue(long v)

    - #### getExtraValue

          public long getExtraValue()

    - #### getPercentOfValue

          public float getPercentOfValue()

      Gets the % of value or -1 if not set

    - #### setPercentOfValue

          public void setPercentOfValue(float percentOfValue)

      Sets the % of value
      Parameters:
        `percentOfValue` -

Copyright © 2017 Trend Micro Inc. All Rights Reserved.